/*
 * Créé le 25 sept. 07
 *
 * Pour changer le modèle de ce fichier généré, allez à :
 * Fenêtre&gt;Préférences&gt;Java&gt;Génération de code&gt;Code et commentaires
 */
package fr.gouv.finances.cp.xemelios.controls.tech;

import java.io.File;
import java.io.IOException;

import org.apache.log4j.Logger;
import org.xml.sax.SAXException;

import fr.gouv.finances.cp.xemelios.controls.models.ControlModelTech;
import fr.gouv.finances.cp.xemelios.controls.models.ParamModelTech;
import fr.gouv.finances.cp.xemelios.utils.FileUtils;

public class TECH02 {
	private String inputFileEncoding="";
	private final static Logger logger = Logger.getLogger(TECH02.class);
	
	public boolean encodingValid(ControlModelTech cmt,File fichierAController){
		logger.info("In TECH02");
		boolean encodingValid=false;
		try {
			inputFileEncoding = FileUtils.getFileEncoding(fichierAController);
		} catch (IOException e1) {
			e1.printStackTrace();
		}
		for(ParamModelTech pmt:cmt.getParams()){
			String e = pmt.value;
			if(e.matches(inputFileEncoding) && encodingValid==false)encodingValid=true;
		}
		return encodingValid;
	}
	
	public String getInputEncoding(){
		return inputFileEncoding;		
	}
}
